org.apache.ignite.internal.util

## Class IgniteUtils.ReentrantReadWriteLockTracer

- java.lang.Object
- - org.apache.ignite.internal.util.IgniteUtils.ReentrantReadWriteLockTracer

All Implemented Interfaces:
  ReadWriteLock

Enclosing class:
  IgniteUtils

    public static class IgniteUtils.ReentrantReadWriteLockTracer
    extends Object
    implements ReadWriteLock

### Constructor Summary

Constructors
Constructor and Description
`ReentrantReadWriteLockTracer(ReadWriteLock delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteUtils.LockTracer` `getReadLock()`
`IgniteUtils.LockTracer` `getWriteLock()`
`@NotNull Lock` `readLock()`
`@NotNull Lock` `writeLock()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReentrantReadWriteLockTracer

    public ReentrantReadWriteLockTracer(ReadWriteLock delegate)

Parameters:
  `delegate` - Delegate.

### Method Detail

#### readLock

    @NotNull
    public @NotNull Lock readLock()

Specified by:
  `readLock` in interface `ReadWriteLock`

#### writeLock

    @NotNull
    public @NotNull Lock writeLock()

Specified by:
  `writeLock` in interface `ReadWriteLock`

#### getReadLock

    public IgniteUtils.LockTracer getReadLock()

#### getWriteLock

    public IgniteUtils.LockTracer getWriteLock()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020